package com.bonus.canteen.core.order.deprecated.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.CustomOrdDetailListConverter;
import com.bonus.canteen.core.common.utils.SysUtil;
import com.bonus.canteen.core.order.deprecated.model.OrdAppInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@LeNiuDecryptDataProcess
public class OrdInfoVO extends OrdAppInfo {
   private Integer ordDetailSum;
   private String goodsName;
   private String imageUrl;
   private Integer price;
   @ExcelProperty(
      value = {"人员编号"},
      order = 7
   )
   private String custNum;
   @LeNiuDecryptField
   @ExcelProperty(
      value = {"人员姓名"},
      order = 8
   )
   private String custName;
   @ExcelProperty(
      value = {"部门全称"},
      order = 22
   )
   private String orgFullName;
   @ExcelIgnore
   private Integer psnType;
   @ExcelProperty(
      value = {"人员类别"},
      order = 9
   )
   private String psnTypeName;
   @ApiModelProperty("消费id")
   private Long consumeId;
   private Integer dishesState;
   @ExcelProperty(
      value = {"菜品明细"},
      order = 34,
      converter = CustomOrdDetailListConverter.class
   )
   private List<OrdDetailMachineVO> ordDetailList;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public String getResressPicurl() {
      return SysUtil.getCutFileUrl(super.getResressPicurl());
   }

   public Integer getOrdDetailSum() {
      return this.ordDetailSum;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Long getConsumeId() {
      return this.consumeId;
   }

   public Integer getDishesState() {
      return this.dishesState;
   }

   public List<OrdDetailMachineVO> getOrdDetailList() {
      return this.ordDetailList;
   }

   public void setOrdDetailSum(final Integer ordDetailSum) {
      this.ordDetailSum = ordDetailSum;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }

   public void setConsumeId(final Long consumeId) {
      this.consumeId = consumeId;
   }

   public void setDishesState(final Integer dishesState) {
      this.dishesState = dishesState;
   }

   public void setOrdDetailList(final List<OrdDetailMachineVO> ordDetailList) {
      this.ordDetailList = ordDetailList;
   }

}
